aagc.vo

## Class FarmaciaRegistraDistintaContabileRiepilogativaRequest

- java.lang.Object
- - aagc.vo.FarmaciaRegistraDistintaContabileRiepilogativaRequest

-     public class FarmaciaRegistraDistintaContabileRiepilogativaRequest
      extends java.lang.Object

  Classe Java per farmaciaRegistraDistintaContabileRiepilogativaRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="farmaciaRegistraDistintaContabileRiepilogativaRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="distinta" type="{http://www.nsisr.puglia.it/Schemas/}dcrRegistraDistintaContabileRiepilogativaRequest" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="annoRiferimento" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="meseRiferimento" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="codProvinciale" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="codFiscaleTitolare" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `annoRiferimento`
    `protected java.lang.String` | `codFiscaleTitolare`
    `protected java.lang.String` | `codProvinciale`
    `protected java.util.List<DcrRegistraDistintaContabileRiepilogativaRequest>` | `distinta`
    `protected java.lang.String` | `meseRiferimento`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FarmaciaRegistraDistintaContabileRiepilogativaRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnoRiferimento()` Recupera il valore della proprietà annoRiferimento.
    `java.lang.String` | `getCodFiscaleTitolare()` Recupera il valore della proprietà codFiscaleTitolare.
    `java.lang.String` | `getCodProvinciale()` Recupera il valore della proprietà codProvinciale.
    `java.util.List<DcrRegistraDistintaContabileRiepilogativaRequest>` | `getDistinta()` Gets the value of the distinta property.
    `java.lang.String` | `getMeseRiferimento()` Recupera il valore della proprietà meseRiferimento.
    `void` | `setAnnoRiferimento(java.lang.String value)` Imposta il valore della proprietà annoRiferimento.
    `void` | `setCodFiscaleTitolare(java.lang.String value)` Imposta il valore della proprietà codFiscaleTitolare.
    `void` | `setCodProvinciale(java.lang.String value)` Imposta il valore della proprietà codProvinciale.
    `void` | `setMeseRiferimento(java.lang.String value)` Imposta il valore della proprietà meseRiferimento.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### distinta

          protected java.util.List<DcrRegistraDistintaContabileRiepilogativaRequest> distinta

    - #### annoRiferimento

          protected java.lang.String annoRiferimento

    - #### meseRiferimento

          protected java.lang.String meseRiferimento

    - #### codProvinciale

          protected java.lang.String codProvinciale

    - #### codFiscaleTitolare

          protected java.lang.String codFiscaleTitolare

  - ### Constructor Detail

    - #### FarmaciaRegistraDistintaContabileRiepilogativaRequest

          public FarmaciaRegistraDistintaContabileRiepilogativaRequest()

  - ### Method Detail

    - #### getDistinta

          public java.util.List<DcrRegistraDistintaContabileRiepilogativaRequest> getDistinta()

      Gets the value of the distinta property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the distinta property.

      For example, to add a new item, do as follows:

              getDistinta().add(newItem);

      Objects of the following type(s) are allowed in the list `DcrRegistraDistintaContabileRiepilogativaRequest`

    - #### getAnnoRiferimento

          public java.lang.String getAnnoRiferimento()

      Recupera il valore della proprietà annoRiferimento.
      Returns:
        possible object is `String`

    - #### setAnnoRiferimento

          public void setAnnoRiferimento(java.lang.String value)

      Imposta il valore della proprietà annoRiferimento.
      Parameters:
        `value` - allowed object is `String`

    - #### getMeseRiferimento

          public java.lang.String getMeseRiferimento()

      Recupera il valore della proprietà meseRiferimento.
      Returns:
        possible object is `String`

    - #### setMeseRiferimento

          public void setMeseRiferimento(java.lang.String value)

      Imposta il valore della proprietà meseRiferimento.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodProvinciale

          public java.lang.String getCodProvinciale()

      Recupera il valore della proprietà codProvinciale.
      Returns:
        possible object is `String`

    - #### setCodProvinciale

          public void setCodProvinciale(java.lang.String value)

      Imposta il valore della proprietà codProvinciale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodFiscaleTitolare

          public java.lang.String getCodFiscaleTitolare()

      Recupera il valore della proprietà codFiscaleTitolare.
      Returns:
        possible object is `String`

    - #### setCodFiscaleTitolare

          public void setCodFiscaleTitolare(java.lang.String value)

      Imposta il valore della proprietà codFiscaleTitolare.
      Parameters:
        `value` - allowed object is `String`